Bug 1768257 - Grafana failed to upgrade
Summary: Grafana failed to upgrade
Keywords:
Status: CLOSED DUPLICATE of bug 1857744
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Surya Seetharaman
QA Contact: Ross Brattain
URL:
Whiteboard: SDN-CI-IMPACT
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-03 18:13 UTC by Ben Parees
Modified: 2020-07-30 09:04 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-30 09:04:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ben Parees 2019-11-03 18:13:54 UTC
Description of problem:
Grafana deployment failed during 4.2->4.3 upgrade

* Cluster operator monitoring is reporting a failure: Failed to rollout the stack. Error: running task Updating Grafana failed: reconciling Grafana Deployment failed: updating deployment object failed: waiting for DeploymentRollout of grafana: deployment grafana is not ready. status: (replicas: 1, updated: 1, ready: 0, unavailable: 1)

in:
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-upgrade/10313

Comment 6 Casey Callendrello 2019-12-02 15:11:25 UTC
My guess: OVS was restarted during the setup and somehow we have half-set-up pods. Not entirely sure how that could have happened.

Comment 9 Scott Dodson 2020-03-19 19:38:55 UTC
There's at least one occurrence of this here so i'm bumping this back up to medium so that we can take another look at it.

https://search.svc.ci.openshift.org/?search=reconciling+Grafana+Deployment+failed%3A&maxAge=336h&context=2&type=build-log


Note You need to log in before you can comment on or make changes to this bug.